<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>footnote documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">footnote documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>MyApp</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/app.component.ts</code>
</p>

    <p class="comment">
        <h3>Description</h3>
    </p>
    <p class="comment">
        <p>App-Component</p>

    </p>




<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>















            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>app.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#isApp">isApp</a>
                            </li>
                            <li>
                                <a href="#nav">nav</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#platform">platform</a>
                            </li>
                            <li>
                                <a href="#rootPage">rootPage</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#splashScreen">splashScreen</a>
                            </li>
                            <li>
                                    <span class="modifier">Public</span>
                                <a href="#statusBar">statusBar</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#initializeApp">initializeApp</a>
                            </li>
                            <li>
                                <a href="#openPage">openPage</a>
                            </li>
                        </ul>
                    </td>
                </tr>





        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(platform: Platform, statusBar: StatusBar, splashScreen: SplashScreen)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="17" class="link-to-prism">src/app/app.component.ts:17</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>platform</td>
                                                  
                                                        <td>
                                                                    <code>Platform</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>statusBar</td>
                                                  
                                                        <td>
                                                                    <code>StatusBar</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>splashScreen</td>
                                                  
                                                        <td>
                                                                    <code>SplashScreen</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>





    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="initializeApp"></a>
                        <span class="name">
                            <b>
                            initializeApp
                            </b>
                            <a href="#initializeApp"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>initializeApp(statusBar, splashScreen)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="91" class="link-to-prism">src/app/app.component.ts:91</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>statusBar</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                                <tr>
                                                        <td>splashScreen</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="openPage"></a>
                        <span class="name">
                            <b>
                            openPage
                            </b>
                            <a href="#openPage"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>openPage(page)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="98" class="link-to-prism">src/app/app.component.ts:98</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>page</td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isApp"></a>
                        <span class="name">
                            <b>
                            isApp</b>
                            <a href="#isApp"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>false</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="17" class="link-to-prism">src/app/app.component.ts:17</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="nav"></a>
                        <span class="name">
                            <b>
                            nav</b>
                            <a href="#nav"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>Nav</code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <b>Decorators : </b>
                            <br />
                            <code>
                                @ViewChild(Nav)<br />
                            </code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="14" class="link-to-prism">src/app/app.component.ts:14</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="platform"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            platform</b>
                            <a href="#platform"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>Platform</code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="19" class="link-to-prism">src/app/app.component.ts:19</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="rootPage"></a>
                        <span class="name">
                            <b>
                            rootPage</b>
                            <a href="#rootPage"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >any</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>LoginPage</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="16" class="link-to-prism">src/app/app.component.ts:16</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="splashScreen"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            splashScreen</b>
                            <a href="#splashScreen"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>SplashScreen</code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="19" class="link-to-prism">src/app/app.component.ts:19</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="statusBar"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Public</span>
                            statusBar</b>
                            <a href="#statusBar"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>StatusBar</code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="19" class="link-to-prism">src/app/app.component.ts:19</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, ViewChild } from &#x27;@angular/core&#x27;;
import { Nav, Platform } from &#x27;ionic-angular&#x27;;
import { StatusBar } from &#x27;@ionic-native/status-bar&#x27;;
import { SplashScreen } from &#x27;@ionic-native/splash-screen&#x27;;
import { LoginPage } from &#x27;../pages/login/login&#x27;;

/**
 * App-Component
 */
@Component({
    templateUrl: &#x27;app.html&#x27;
})
export class MyApp {
    @ViewChild(Nav) nav: Nav;

    rootPage: any &#x3D; LoginPage;
    isApp &#x3D; false;

    constructor(public platform: Platform, public statusBar: StatusBar, public splashScreen: SplashScreen) {
        this.initializeApp(statusBar, splashScreen);

        platform.ready().then(() &#x3D;&gt; {

            this.isApp &#x3D; document.URL.indexOf(&#x27;http&#x27;) !&#x3D;&#x3D; 0;
            if (this.isApp) {
                // Okay, so the platform is ready and our plugins are available.
                // Here you can do any higher level native things you might need.
                statusBar.styleDefault();

                /** Enter your Wikitude (trial) License Key here. You can register and download your free license key here: http://www.wikitude.com/developer/licenses */
                WikitudePlugin._sdkKey &#x3D; &quot;RlnIchZW2mOGYOKruqxN8OH3x+FeyFIC8CluKQMtu9zzBHJ9P8mZTNeL+SX0VaO+ucui/5aThrU0zkR+RKH+b9iv/aQToVfaYvppLLMaq2PdaL2P6VXbOvXCs1Q9mGvbiJlEwd7TnWE4ZhmiwBEV/YIRmWy11Ry30MQTk96knj9TYWx0ZWRfX0bXDsDhpVXNlaH8n1AugfbEPPAMpZtyG6w/0ZcY91rx7R1DoTgvQpkxIYoU4o8rHN+BNAMHnCYM8G7wTQ06smWJ8J8GE+FRAaa+3hDvLi7MYtb8TZXlkmEpGoHi3aY6XEGAqHcAvcLCwXSHp1Gq4QqXOJ5epep5UMchE9dinKMOdjn+bxp8dOY+zzV1rYVox1Q+625hDsLbaOkjxNmiKZW9MZApUERs9phlUs7CHDcKa0a7OR/X9FI1lJh3Ws3T/n2ff3HpI3LeoUy3dX/gCmz8YEA25zkt8Mby/GqX3JGjSRbzOVpx1lgGiEI7EMqA14G1HbrflvY8N1EHMYpD4ibRhD8pvnVCZB55u0afgGFNY0++mOvqIv9uIQkKG2rzflUv20L++c/eLFzsB1h63HJK8vDd31APhq+/o60R0cLoJeDW6+xhEn0ERnYcDo2iRtQsORixNxhAIR/OkZNhfI0cC2ikDLZyGoVEGb56V2XaGPTYzu7ycb+UsPPM9opQS8Zg4crIR4Lgkf6pnpXccOPGW+8ZfoUp14byBt7F6kKP4QQtprihix1HoXnCRzgdJpLXdG/YNiLF&quot;;


                /** The Wikitude AR View creates it&#x27;s own context. Communication between the main Ionic App and Wikitude SDK works 
                 * through the function below for the direction Ionic2 app --&gt; Wikitude SDK 
                 * For calls from Wikitude SDK --&gt; Ionic2 app see the captureScreen example in 
                 * WikitudeIonic2StarterApp/www/assets/3_3dModels_6_3dModelAtGeoLocation/js/3dmodelatgeolocation.js*/
                // set the function to be called, when a &quot;communication&quot; is indicated from the AR View  
                WikitudePlugin.setOnUrlInvokeCallback(function (url) {

                    // this an example of how to receive a call from a function in the Wikitude SDK (Wikitude SDK --&gt; Ionic2)
                    if (url.indexOf(&#x27;captureScreen&#x27;) &gt; -1) {
                        WikitudePlugin.captureScreen(
                            (absoluteFilePath) &#x3D;&gt; {
                                console.log(&quot;snapshot stored at:\n&quot; + absoluteFilePath);

                                // this an example of how to call a function in the Wikitude SDK (Ionic2 app --&gt; Wikitude SDK)
                                WikitudePlugin.callJavaScript(&quot;World.testFunction(&#x27;Screenshot saved at: &quot; + absoluteFilePath + &quot;&#x27;);&quot;);
                            },
                            (errorMessage) &#x3D;&gt; {
                                console.log(errorMessage);
                            },
                            true, null
                        );
                    } else {
                        alert(url + &quot;not handled&quot;);
                    }
                });

                /**
                 * Define the generic ok callback
                 */
                WikitudePlugin.onWikitudeOK &#x3D; function () {
                    console.log(&quot;Things went ok.&quot;);
                }

                /**
                 * Define the generic failure callback
                 */
                WikitudePlugin.onWikitudeError &#x3D; function () {
                    console.log(&quot;Something went wrong&quot;);
                }

                // Just as an example: set the location within the Wikitude SDK, if you need this (You can get the geo coordinates by using ionic native 
                // GeoLocation plugin: http://ionicframework.com/docs/v2/native/geolocation/
                //WikitudePlugin.setLocation(47, 13, 450, 1);

                // for Android only
                WikitudePlugin.setBackButtonCallback(
                    () &#x3D;&gt; {
                        console.log(&quot;Back button has been pressed...&quot;);
                    }
                );

            }
        });


    }

    initializeApp(statusBar, splashScreen) {
        // Okay, so the platform is ready and our plugins are available.
        // Here you can do any higher level native things you might need.
        statusBar.styleDefault();
        splashScreen.hide();
    }

    openPage(page) {
        // Reset the content nav to have just this page
        // we wouldn&#x27;t want the back button to show in this scenario
        this.nav.setRoot(page.component);
    }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;!-- Disable swipe-to-go-back because it&#x27;s poor UX to combine STGB with side menus --&gt;
&lt;ion-nav [root]&#x3D;&quot;rootPage&quot; #content swipeBackEnabled&#x3D;&quot;false&quot;&gt;&lt;/ion-nav&gt;
</code></pre>
    </div>


    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><!-- Disable swipe-to-go-back because it\'s poor UX to combine STGB with side menus --><ion-nav [root]="rootPage" #content swipeBackEnabled="false"></ion-nav></div>'
    var COMPONENTS = [{'name': 'AddInfoPage', 'selector': 'page-add-info'},{'name': 'AddObjectPage', 'selector': 'page-add-object'},{'name': 'ARViewPage', 'selector': 'page-ar-view'},{'name': 'CloudRecognitionPage', 'selector': 'page-cloud-recognition'},{'name': 'DetailPage', 'selector': 'page-detail'},{'name': 'DialogPage', 'selector': 'page-dialog'},{'name': 'FeedPage', 'selector': 'page-feed'},{'name': 'HomePage', 'selector': 'page-home'},{'name': 'LoginPage', 'selector': 'page-login'},{'name': 'MasterPage', 'selector': 'page-master'},{'name': 'MyApp', 'selector': ''},{'name': 'PlaceholderPage', 'selector': 'page-placeholder'},{'name': 'RegisterPage', 'selector': 'page-register'},{'name': 'TabsPage', 'selector': ''},{'name': 'UserGroupPage', 'selector': 'page-user-group'},{'name': 'UserGroupSplitPage', 'selector': 'page-user-group-split'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'MyApp'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'MyApp.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
